Skip to main content
GET
Get visits by visitor ID
Get a history of visits (identification events) for a specific visitorId. Use the visitorId as a URL path parameter. Only information from the Identification product is returned.

Headers

  • Retry-After β€” Present in case of 429 Too many requests. Indicates how long you should wait before making a follow-up request. The value is non-negative decimal integer indicating the seconds to delay after the response is received.

Authorizations

Auth-API-Key
string
header
required

Path Parameters

visitor_id
string
required

Unique visitor identifier issued by Fingerprint Identification and all active Smart Signals.

Query Parameters

request_id
string

Filter visits by requestId.

Every identification request has a unique identifier associated with it called requestId. This identifier is returned to the client in the identification result. When you filter visits by requestId, only one visit will be returned.

linked_id
string

Filter visits by your custom identifier.

You can use linkedId to associate identification requests with your own identifier, for example: session ID, purchase ID, or transaction ID. You can then use this linked_id parameter to retrieve all events associated with your custom identifier.

limit
integer<int32>

Limit scanned results.

GET /visitors/{visitor_id} currently returns at most one visit. Use GET /events/search for paginated multi-event queries.

Required range: x >= 0
paginationKey
string

Deprecated pagination parameter retained for backward compatibility.

GET /visitors/{visitor_id} currently returns at most one visit, so pagination is not expected. Use GET /events/search for paginated results.

before
integer<int64>

⚠️ Deprecated pagination method, please use paginationKey instead. Timestamp (in milliseconds since epoch) used to paginate results. GET /visitors/{visitor_id} currently returns at most one visit, so pagination is not expected.

Required range: x >= 0

Response

OK.

Deprecated response shape for GET /visitors/{visitor_id}. The visits array currently contains at most one item. Use GET /events/search for multi-event history and filtering.

visitorId
string
required
visits
object[]
required
Maximum array length: 1
lastTimestamp
integer<int64>
deprecated

⚠️ Deprecated paging attribute, please use paginationKey instead. Timestamp of the last visit in the current page of results.

paginationKey
string

Use this value in the following request as the paginationKey parameter to get the next result.